#ifndef RZB_WORKSTATION_LISTENER_H
#define RZB_WORKSTATION_LISTENER_H

#include "rzb_workstation_global.h"
#include "rzb_global.h"
#include "rzb_router.h"

HRESULT handleWorkstation(RZBNetworkConnection *net);
HRESULT handleShowRoutingTable(RZBNetworkConnection *net);
HRESULT handleShowLog(RZBNetworkConnection *net);

HRESULT sendDataRouteEntry (DATAENTRY **data_cursor, WKST_DATA_RESPONSE *response, RZBNetworkConnection *net);
HRESULT sendAppRouteEntry(APPENTRY **app_cursor, WKST_DATA_RESPONSE *response, RZBNetworkConnection *net);
HRESULT sendNugEntry(ROUTEENTRY **entry_cursor, WKST_DATA_RESPONSE *response, RZBNetworkConnection *net);

#endif /* RZB_WORKSTATION_LISTENER_H */

